Bug 1728998 - "nodectl info" displays error after RHVH installation
Summary: "nodectl info" displays error after RHVH installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: redhat-virtualization-host
Version: 4.3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.3.5
: ---
Assignee: Yuval Turgeman
QA Contact: Wei Wang
URL:
Whiteboard:
: 1724981 (view as bug list)
Depends On:
Blocks: oVirt_on_Fedora
TreeView+ depends on / blocked
 
Reported: 2019-07-11 07:49 UTC by Wei Wang
Modified: 2019-08-29 06:40 UTC (History)
10 users (show)

Fixed In Version: ovirt-node-ng-4.3.5-0.20190717.0.el7ev
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 11:54:28 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
Log files (360.50 KB, application/gzip)
2019-07-11 07:49 UTC, Wei Wang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2437 None None None 2019-08-12 11:54:41 UTC
oVirt gerrit 101731 master MERGED nodectl: support multiple boot entries 2019-07-15 06:50:19 UTC
oVirt gerrit 101796 ovirt-4.3 MERGED nodectl: support multiple boot entries 2019-07-16 13:42:02 UTC

Description Wei Wang 2019-07-11 07:49:09 UTC
Created attachment 1589338 [details]
Log files

Description of problem:
Command "nodectl info" displays error after RHVH installation, "AttributeError: 'list' object has no attribute '__dict__'"

[root@dhcp-x-xx ~]# nodectl info
Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/nodectl/__main__.py", line 42, in <module>
    CliApplication()
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 200, in CliApplication
    return cmdmap.command(args)
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 118, in command
    return self.commands[command](**kwargs)
  File "/usr/lib/python2.7/site-packages/nodectl/__init__.py", line 76, in info
    Info(self.imgbased, self.machine).write()
  File "/usr/lib/python2.7/site-packages/nodectl/info.py", line 46, in __init__
    self._fetch_information()
  File "/usr/lib/python2.7/site-packages/nodectl/info.py", line 49, in _fetch_information
    self._get_bootloader_info()
  File "/usr/lib/python2.7/site-packages/nodectl/info.py", line 62, in _get_bootloader_info
    bootinfo["entries"][k] = v.__dict__
AttributeError: 'list' object has no attribute '__dict__'



Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.3.5-20190710.2.el7_7.x86_64.liveimg.squashfs
imgbased-1.1.8-0.1.el7ev.noarch


How reproducible:
100%

Steps to Reproduce:
1. Clean install redhat-virtualization-host-4.3.5-20190710.2.el7_7.x86_64.liveimg.squashfs
2. Check "nodectl info" command

Actual results:
"AttributeError: 'list' object has no attribute '__dict__'" error displays with command "nodectl info", 


Expected results:
"nodectl info" display right without any error

Additional info:

Comment 2 Wei Wang 2019-07-18 04:02:59 UTC
Test Version:
rhvh-4.3.5.2-0.20190717.0
cockpit-ovirt-dashboard-0.13.4-1.el7ev.noarch

Test Steps:
According to comment 0

Result:
"nodectl info" display right without any error.

[root@dhcp-x-xx ~]# nodectl info
layers: 
  rhvh-4.3.5.2-0.20190717.0: 
    rhvh-4.3.5.2-0.20190717.0+1
bootloader: 
  default: rhvh-4.3.5.2-0.20190717.0 (3.10.0-1061.el7.x86_64)
  entries: 
    rhvh-4.3.5.2-0.20190717.0 (3.10.0-1061.el7.x86_64): 
      index: 0
      title: rhvh-4.3.5.2-0.20190717.0 (3.10.0-1061.el7.x86_64)
      kernel: /boot/rhvh-4.3.5.2-0.20190717.0+1/vmlinuz-3.10.0-1061.el7.x86_64
      args: "ro crashkernel=auto spectre_v2=retpoline rd.lvm.lv=rhvh_dhcp-9-57/swap rd.lvm.lv=rhvh_dhcp-9-57/rhvh-4.3.5.2-0.20190717.0+1 rhgb quiet LANG=en_US.UTF-8 img.bootid=rhvh-4.3.5.2-0.20190717.0+1"
      initrd: /boot/rhvh-4.3.5.2-0.20190717.0+1/initramfs-3.10.0-1061.el7.x86_64.img
      root: /dev/rhvh_dhcp-9-57/rhvh-4.3.5.2-0.20190717.0+1
current_layer: rhvh-4.3.5.2-0.20190717.0+1


bug is fixed, move to "VERIFIED"

Comment 4 Yuval Turgeman 2019-07-31 09:21:41 UTC
*** Bug 1724981 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2019-08-12 11:54:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2437


Note You need to log in before you can comment on or make changes to this bug.